aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJorge Manuel B. S. Vicetto (jmbsvicetto) <jmbsvicetto@gentoo.org>2012-12-17 04:17:09 (GMT)
committerJorge Manuel B. S. Vicetto (jmbsvicetto) <jmbsvicetto@gentoo.org>2012-12-17 04:17:09 (GMT)
commit8d79d6885dc0ebbd8039b3b1b2014e7a691b4b55 (patch)
tree06db6718d21e0eb8f4cd620c2797b3526e24ca7b
parent[kde] bump live ebuilds for KDE/4.10 branch (diff)
downloadkde-8d79d6885dc0ebbd8039b3b1b2014e7a691b4b55.zip
kde-8d79d6885dc0ebbd8039b3b1b2014e7a691b4b55.tar.gz
kde-8d79d6885dc0ebbd8039b3b1b2014e7a691b4b55.tar.bz2
[media-sound/amarok] Bump to 2.6.90 (2.7 beta) release.
Drop lastfm support from 2.6 release as it requires lastfm-0.3. Sync and update all versions. Package-Manager: portage-2.2.0_alpha142
-rw-r--r--media-sound/amarok/Manifest2
-rw-r--r--media-sound/amarok/amarok-2.6.0-r1.ebuild126
-rw-r--r--media-sound/amarok/amarok-2.6.90.ebuild126
-rw-r--r--media-sound/amarok/amarok-9999.ebuild42
4 files changed, 275 insertions, 21 deletions
diff --git a/media-sound/amarok/Manifest b/media-sound/amarok/Manifest
new file mode 100644
index 0000000..963b9ff
--- /dev/null
+++ b/media-sound/amarok/Manifest
@@ -0,0 +1,2 @@
+DIST amarok-2.6.0.tar.bz2 42331208 SHA256 a91280e588181cf9363d7146f339ef527220fe0c8057f26f010f592b01fdd2c0 SHA512 da67876dfc41dcc3e1f3087698d36dabb43a339cef1669ca0518de191e2d9dd2e3e72122ffe76ecfd763e83547e46c55bba8606c095d35c85058df77bf35fb4a WHIRLPOOL 70fadaff2565fc2e9d8cb628942ec8107c6f4fcea0bd3e898f4ba6a72231ebaca8cb1d924f1413ced7c82940790438c9dcbe2fba7760e356b100eb832d8a2edc
+DIST amarok-2.6.90.tar.bz2 40939963 SHA256 620d315f59e29045f8108073297fdac338c3e516a92154a541d781835a7988cc SHA512 11857221a108628167f4ac435130cac04ba583dbe068f77b2f47a3904829db6ebb59800f6b943f638e0adbc901b8554c64abfe40915581ec375438bd2ab52331 WHIRLPOOL 18e8c70da5967a6878582b8756a8d847eb0051237dd67bcbc60bc4c78c15a4cebdd1c595aaf92bbe5f83d616b40378c17b2075e294315a168a91b42b16964b7f
diff --git a/media-sound/amarok/amarok-2.6.0-r1.ebuild b/media-sound/amarok/amarok-2.6.0-r1.ebuild
new file mode 100644
index 0000000..d56d9bf
--- /dev/null
+++ b/media-sound/amarok/amarok-2.6.0-r1.ebuild
@@ -0,0 +1,126 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/media-sound/amarok/amarok-2.6.0.ebuild,v 1.2 2012/09/17 11:55:02 johu Exp $
+
+EAPI=4
+
+KDE_LINGUAS="bs ca cs da de el en_GB es et eu fi ga gl hu it ja lt lv nb nl pa
+pl pt pt_BR ru sl sr sr@latin sv uk zh_TW"
+KDE_SCM="git"
+KDE_REQUIRED="never"
+inherit flag-o-matic kde4-base
+
+DESCRIPTION="Advanced audio player based on KDE framework."
+HOMEPAGE="http://amarok.kde.org/"
+if [[ ${PV} != *9999* ]]; then
+ SRC_URI="mirror://kde/stable/${PN}/${PV}/src/${P}.tar.bz2"
+ KEYWORDS="~amd64 ~ppc ~x86"
+else
+ KEYWORDS=""
+fi
+
+LICENSE="GPL-2"
+SLOT="4"
+IUSE="cdda daap debug +embedded ipod mp3tunes mtp ofa opengl semantic-desktop test +utils"
+
+# ipod requires gdk enabled and also gtk compiled in libgpod
+COMMONDEPEND="
+ app-crypt/qca:2
+ >=app-misc/strigi-0.5.7
+ $(add_kdebase_dep kdelibs 'opengl?,semantic-desktop?')
+ $(add_kdebase_dep kdebase-kioslaves)
+ >=media-libs/taglib-1.7[asf,mp4]
+ >=media-libs/taglib-extras-1.0.1
+ sys-libs/zlib
+ >=virtual/mysql-5.1[embedded?]
+ x11-libs/qt-core:4
+ x11-libs/qt-dbus:4
+ x11-libs/qt-script:4
+ >=x11-libs/qtscriptgenerator-0.1.0
+ cdda? (
+ $(add_kdebase_dep libkcddb)
+ $(add_kdebase_dep libkcompactdisc)
+ || (
+ $(add_kdebase_dep audiocd-kio)
+ $(add_kdebase_dep kdemultimedia-kioslaves)
+ )
+ )
+ ipod? ( >=media-libs/libgpod-0.7.0[gtk] )
+ mp3tunes? (
+ dev-libs/glib:2
+ dev-libs/libxml2
+ dev-libs/openssl
+ net-libs/loudmouth
+ net-misc/curl
+ x11-libs/qt-core:4[glib]
+ )
+ mtp? ( >=media-libs/libmtp-1.0.0 )
+ ofa? ( >=media-libs/libofa-0.9.0 )
+ opengl? ( virtual/opengl )
+"
+DEPEND="${COMMONDEPEND}
+ dev-util/automoc
+ virtual/pkgconfig
+ test? ( dev-cpp/gmock )
+"
+RDEPEND="${COMMONDEPEND}
+ !media-sound/amarok-utils
+ $(add_kdebase_dep phonon-kde)
+"
+
+PATCHES=()
+
+src_configure() {
+ # Append minimal-toc cflag for ppc64, see bug 280552 and 292707
+ use ppc64 && append-flags -mminimal-toc
+ local mycmakeargs
+
+ mycmakeargs=(
+ -DWITH_PLAYER=ON
+ -DWITH_Libgcrypt=OFF
+ -DWITH_SPECTRUM_ANALYZER=ON
+ -DWITH_LibLastFm=OFF
+ $(cmake-utils_use embedded WITH_MYSQL_EMBEDDED)
+ $(cmake-utils_use_with ipod)
+ $(cmake-utils_use_with ipod Gdk)
+ $(cmake-utils_use_with mtp)
+ $(cmake-utils_use_with mp3tunes MP3Tunes)
+ $(cmake-utils_use_with ofa LibOFA)
+ )
+
+ mycmakeargs+=(
+ $(cmake-utils_use_with utils UTILITIES)
+ )
+
+ # $(cmake-utils_use_with semantic-desktop Nepomuk)
+ # $(cmake-utils_use_with semantic-desktop Soprano)
+
+ kde4-base_src_configure
+}
+
+pkg_postinst() {
+ kde4-base_pkg_postinst
+
+ if use daap; then
+ echo
+ elog "You have installed amarok with daap support."
+ elog "You may be interested in installing www-servers/mongrel as well."
+ echo
+ fi
+
+ if ! use embedded; then
+ echo
+ elog "You've disabled the amarok support for embedded mysql DBs."
+ elog "You'll have to configure amarok to use an external db server."
+ echo
+ elog "Please read http://amarok.kde.org/wiki/MySQL_Server for details on how"
+ elog "to configure the external db and migrate your data from the embedded database."
+ echo
+
+ if has_version "virtual/mysql[minimal]"; then
+ elog "You built mysql with the minimal use flag, so it doesn't include the server."
+ elog "You won't be able to use the local mysql installation to store your amarok collection."
+ echo
+ fi
+ fi
+}
diff --git a/media-sound/amarok/amarok-2.6.90.ebuild b/media-sound/amarok/amarok-2.6.90.ebuild
new file mode 100644
index 0000000..8abb8d1
--- /dev/null
+++ b/media-sound/amarok/amarok-2.6.90.ebuild
@@ -0,0 +1,126 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=4
+
+KDE_LINGUAS="bs ca ca@valencia cs da de el en_GB es et eu fi fr
+ga gl hu it ja lt lv nb nl pl pt pt_BR ru sl sr sr@ijekavian
+sr@ijekavianlatin sr@latin sv uk zh_CN zh_TW"
+KDE_REQUIRED="never"
+inherit flag-o-matic kde4-base
+
+DESCRIPTION="Advanced audio player based on KDE framework."
+HOMEPAGE="http://amarok.kde.org/"
+if [[ ${PV} != *9999* ]]; then
+ SRC_URI="mirror://kde/unstable/${PN}/${PV}/src/${P}.tar.bz2"
+ KEYWORDS="~amd64 ~ppc ~x86"
+else
+ KEYWORDS=""
+fi
+
+LICENSE="GPL-2"
+SLOT="4"
+IUSE="cdda daap debug +embedded ipod lastfm mp3tunes mtp ofa opengl semantic-desktop test +utils"
+
+if [[ ${PV} == *9999* ]]; then
+ RESTRICT="test"
+fi
+
+# ipod requires gdk enabled and also gtk compiled in libgpod
+COMMONDEPEND="
+ app-crypt/qca:2
+ >=app-misc/strigi-0.5.7
+ $(add_kdebase_dep >=kdelibs-4.8.4 'opengl?,semantic-desktop?')
+ $(add_kdebase_dep kdebase-kioslaves)
+ >=media-libs/taglib-1.7[asf,mp4]
+ >=media-libs/taglib-extras-1.0.1
+ sys-libs/zlib
+ >=virtual/mysql-5.1[embedded?]
+ >=x11-libs/qt-core-4.8:4
+ >=x11-libs/qt-dbus-4.8:4
+ >=x11-libs/qt-script-4.8:4
+ >=x11-libs/qtscriptgenerator-0.1.0
+ cdda? (
+ $(add_kdebase_dep libkcddb)
+ $(add_kdebase_dep libkcompactdisc)
+ $(add_kdebase_dep audiocd-kio)
+ )
+ ipod? ( >=media-libs/libgpod-0.7.0[gtk] )
+ lastfm? ( >=media-libs/liblastfm-1.0.3 )
+ mp3tunes? (
+ dev-libs/glib:2
+ dev-libs/libxml2
+ dev-libs/openssl
+ net-libs/loudmouth
+ net-misc/curl
+ >=x11-libs/qt-core-4.8.4:4[glib]
+ )
+ mtp? ( >=media-libs/libmtp-1.0.0 )
+ ofa? ( >=media-libs/libofa-0.9.0 )
+ opengl? ( virtual/opengl )
+ semantic-desktop? ( >=kde-base/nepomuk-core-4.9.0 )
+"
+DEPEND="${COMMONDEPEND}
+ dev-util/automoc
+ virtual/pkgconfig
+ test? ( dev-cpp/gmock )
+"
+RDEPEND="${COMMONDEPEND}
+ !media-sound/amarok-utils
+ $(add_kdebase_dep phonon-kde)
+"
+
+src_configure() {
+ # Append minimal-toc cflag for ppc64, see bug 280552 and 292707
+ use ppc64 && append-flags -mminimal-toc
+ local mycmakeargs
+
+ mycmakeargs=(
+ -DWITH_PLAYER=ON
+ -DWITH_Libgcrypt=OFF
+ -DWITH_SPECTRUM_ANALYZER=OFF
+ $(cmake-utils_use embedded WITH_MYSQL_EMBEDDED)
+ $(cmake-utils_use_with ipod)
+ $(cmake-utils_use_with ipod Gdk)
+ $(cmake-utils_use_with lastfm LibLastFm)
+ $(cmake-utils_use_with mtp)
+ $(cmake-utils_use_with mp3tunes MP3Tunes)
+ $(cmake-utils_use_with ofa LibOFA)
+ $(cmake-utils_use_with semantic-desktop Nepomuk)
+ $(cmake-utils_use_with semantic-desktop Soprano)
+ )
+
+ mycmakeargs+=(
+ $(cmake-utils_use_with utils UTILITIES)
+ )
+
+ kde4-base_src_configure
+}
+
+pkg_postinst() {
+ kde4-base_pkg_postinst
+
+ if use daap; then
+ echo
+ elog "You have installed amarok with daap support."
+ elog "You may be interested in installing www-servers/mongrel as well."
+ echo
+ fi
+
+ if ! use embedded; then
+ echo
+ elog "You've disabled the amarok support for embedded mysql DBs."
+ elog "You'll have to configure amarok to use an external db server."
+ echo
+ elog "Please read http://amarok.kde.org/wiki/MySQL_Server for details on how"
+ elog "to configure the external db and migrate your data from the embedded database."
+ echo
+
+ if has_version "virtual/mysql[minimal]"; then
+ elog "You built mysql with the minimal use flag, so it doesn't include the server."
+ elog "You won't be able to use the local mysql installation to store your amarok collection."
+ echo
+ fi
+ fi
+}
diff --git a/media-sound/amarok/amarok-9999.ebuild b/media-sound/amarok/amarok-9999.ebuild
index ee61353..8abb8d1 100644
--- a/media-sound/amarok/amarok-9999.ebuild
+++ b/media-sound/amarok/amarok-9999.ebuild
@@ -4,8 +4,9 @@
EAPI=4
-KDE_LINGUAS="bg ca cs da de en_GB es et eu fi fr it ja km nb nds nl pa
-pl pt pt_BR ru sl sr sr@latin sv th tr uk wa zh_TW"
+KDE_LINGUAS="bs ca ca@valencia cs da de el en_GB es et eu fi fr
+ga gl hu it ja lt lv nb nl pl pt pt_BR ru sl sr sr@ijekavian
+sr@ijekavianlatin sr@latin sv uk zh_CN zh_TW"
KDE_REQUIRED="never"
inherit flag-o-matic kde4-base
@@ -20,51 +21,50 @@ fi
LICENSE="GPL-2"
SLOT="4"
-IUSE="cdda daap debug +embedded ipod lastfm mp3tunes mtp ofa opengl semantic-desktop +utils"
+IUSE="cdda daap debug +embedded ipod lastfm mp3tunes mtp ofa opengl semantic-desktop test +utils"
-# Tests require gmock - http://code.google.com/p/gmock/
-# It's not in the tree yet
-RESTRICT="test"
+if [[ ${PV} == *9999* ]]; then
+ RESTRICT="test"
+fi
# ipod requires gdk enabled and also gtk compiled in libgpod
COMMONDEPEND="
- >=media-libs/taglib-1.7[asf,mp4]
- >=media-libs/taglib-extras-1.0.1
app-crypt/qca:2
>=app-misc/strigi-0.5.7
- $(add_kdebase_dep kdelibs 'opengl?,semantic-desktop?')
+ $(add_kdebase_dep >=kdelibs-4.8.4 'opengl?,semantic-desktop?')
$(add_kdebase_dep kdebase-kioslaves)
+ >=media-libs/taglib-1.7[asf,mp4]
+ >=media-libs/taglib-extras-1.0.1
sys-libs/zlib
>=virtual/mysql-5.1[embedded?]
- x11-libs/qt-core:4
- x11-libs/qt-dbus:4
- x11-libs/qt-script:4
+ >=x11-libs/qt-core-4.8:4
+ >=x11-libs/qt-dbus-4.8:4
+ >=x11-libs/qt-script-4.8:4
>=x11-libs/qtscriptgenerator-0.1.0
cdda? (
$(add_kdebase_dep libkcddb)
$(add_kdebase_dep libkcompactdisc)
- || (
- $(add_kdebase_dep audiocd-kio)
- $(add_kdebase_dep kdemultimedia-kioslaves)
- )
+ $(add_kdebase_dep audiocd-kio)
)
ipod? ( >=media-libs/libgpod-0.7.0[gtk] )
- lastfm? ( >=media-libs/liblastfm-0.3.0 )
+ lastfm? ( >=media-libs/liblastfm-1.0.3 )
mp3tunes? (
dev-libs/glib:2
dev-libs/libxml2
dev-libs/openssl
net-libs/loudmouth
net-misc/curl
- x11-libs/qt-core:4[glib]
+ >=x11-libs/qt-core-4.8.4:4[glib]
)
mtp? ( >=media-libs/libmtp-1.0.0 )
ofa? ( >=media-libs/libofa-0.9.0 )
opengl? ( virtual/opengl )
+ semantic-desktop? ( >=kde-base/nepomuk-core-4.9.0 )
"
DEPEND="${COMMONDEPEND}
dev-util/automoc
virtual/pkgconfig
+ test? ( dev-cpp/gmock )
"
RDEPEND="${COMMONDEPEND}
!media-sound/amarok-utils
@@ -79,6 +79,7 @@ src_configure() {
mycmakeargs=(
-DWITH_PLAYER=ON
-DWITH_Libgcrypt=OFF
+ -DWITH_SPECTRUM_ANALYZER=OFF
$(cmake-utils_use embedded WITH_MYSQL_EMBEDDED)
$(cmake-utils_use_with ipod)
$(cmake-utils_use_with ipod Gdk)
@@ -86,15 +87,14 @@ src_configure() {
$(cmake-utils_use_with mtp)
$(cmake-utils_use_with mp3tunes MP3Tunes)
$(cmake-utils_use_with ofa LibOFA)
+ $(cmake-utils_use_with semantic-desktop Nepomuk)
+ $(cmake-utils_use_with semantic-desktop Soprano)
)
mycmakeargs+=(
$(cmake-utils_use_with utils UTILITIES)
)
- # $(cmake-utils_use_with semantic-desktop Nepomuk)
- # $(cmake-utils_use_with semantic-desktop Soprano)
-
kde4-base_src_configure
}